Valstorm LogoDev

tasks Endpoints

All endpoints for the tasks API group. Great for feeding into an LLM context.

POST

/v1/tasks/rebuild_schemas

Rebuild Schemas Route

Rebuilds schemas for the organization


Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

POST

/v1/tasks/functions

Start Function

Runs Dynamic Code


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/StartTask"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/tasks

Start Task

Runs defined tasks from the tasks folder


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/StartTask"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/tasks/availability

Check Availability

Checks user availability hourly


Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/CheckAvailability"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/tasks/system-alert

System Alert

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "items": {
          "additionalProperties": true,
          "type": "object"
        },
        "type": "array",
        "title": "Data"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/tasks/fix-convos

Fix Convos Task

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner